RABIN2(1)

NAME
rabin2 - Binary program info extractor

SYNOPSIS
rabin2 [-eoicsSlrvz] [-h] [-L library] [file]

DESCRIPTION
This program allows you to get information about ELF/PE/MZ and CLASS files in a simple way.

-e  Show entrypoints for disk and on-memory

-i  Show imports (symbols imported from libraries

-c  Show header checksum (if exist)

-s  Show exported symbols

-o  Show other symbols (not import/export)

-S  Show sections

-l  List linked libraries to the binary

-L library
    Show the base address of a library loaded in memory

-r  Show output in radare format

-z  Show strings inside .data section (like gnu strings does)

-v  Display virtual addressing offsets

-h  Show usage help message.

SEE ALSO

rahash2(1), rafind2(1), radare2(1), radiff2(1), ranal2(1), rasm2(1), rax2(1), rsc2(1), rarc2(1), rarc2-tool(1), rasc2(1),

AUTHORS

pancake <pancake@nopcode.org>, nibble <nibble@develsec.org>